## laserboy 2012.11.11

=== src/Makefile ===
# Project: LaserBoy
# by James Lehman.

RM       = rm -f
STRIP    = strip -s -v
CPP      = g++
CPPFLAGS = -O3 -fexpensive-optimizations -static
OBJ      = ../src/LaserBoy.obj ../src/LaserBoy_common.obj ../src/LaserBoy_frame.obj ../src/LaserBoy_frame_effects.obj ../src/LaserBoy_frame_set.obj ../src/LaserBoy_frame_set_effects.obj ../src/LaserBoy_ild_header.obj ../src/LaserBoy_segment.obj ../src/LaserBoy_palette.obj ../src/LaserBoy_palette_set.obj ../src/LaserBoy_real_segment.obj ../src/LaserBoy_wave.obj ../src/LaserBoy_space.obj ../src/LaserBoy_TUI.obj ../src/LaserBoy_SDL_GUI.obj ../src/LaserBoy_bmp.obj ../src/LaserBoy_font.obj
LIBS     = -lSDL -lboost_system -lboost_filesystem
BIN      = ../LaserBoy
HEADERS  = LaserBoy_3D_double.hpp LaserBoy_3D_short.hpp LaserBoy_bmp.hpp LaserBoy_color.hpp LaserBoy_common.hpp LaserBoy_font.hpp LaserBoy_frame.hpp LaserBoy_frame_set.hpp LaserBoy_GUI_base.hpp LaserBoy_ild_header.hpp LaserBoy_includes.hpp LaserBoy_macros.hpp LaserBoy_palette.hpp LaserBoy_palette_set.hpp LaserBoy_real_segment.hpp LaserBoy_real_vertex.hpp LaserBoy_SDL_GUI.hpp LaserBoy_segment.hpp LaserBoy_space.hpp LaserBoy_TUI.hpp LaserBoy_utility.hpp LaserBoy_vertex.hpp LaserBoy_wave.hpp

all: $(BIN) strip

strip:
	$(STRIP) $(BIN)

clean:
	$(RM) $(OBJ) $(BIN)

$(BIN): $(OBJ)
	$(CPP) $(OBJ) -o $(BIN) $(LIBS)

../src/LaserBoy.obj: LaserBoy.cpp $(HEADERS)
	$(CPP) -c LaserBoy.cpp -o ../src/LaserBoy.obj $(CPPFLAGS)

../src/LaserBoy_SDL_GUI.obj: LaserBoy_SDL_GUI.cpp $(HEADERS)
	$(CPP) -c LaserBoy_SDL_GUI.cpp -o ../src/LaserBoy_SDL_GUI.obj $(CPPFLAGS)

../src/LaserBoy_TUI.obj: LaserBoy_TUI.cpp $(HEADERS)
	$(CPP) -c LaserBoy_TUI.cpp -o ../src/LaserBoy_TUI.obj $(CPPFLAGS)

../src/LaserBoy_space.obj: LaserBoy_space.cpp $(SPACE_HEADERS)
	$(CPP) -c LaserBoy_space.cpp -o ../src/LaserBoy_space.obj $(CPPFLAGS)

../src/LaserBoy_frame_set_effects.obj: LaserBoy_frame_set_effects.cpp $(HEADERS)
	$(CPP) -c LaserBoy_frame_set_effects.cpp -o ../src/LaserBoy_frame_set_effects.obj $(CPPFLAGS)

../src/LaserBoy_frame_effects.obj: LaserBoy_frame_effects.cpp $(HEADERS)
	$(CPP) -c LaserBoy_frame_effects.cpp -o ../src/LaserBoy_frame_effects.obj $(CPPFLAGS)

../src/LaserBoy_palette_set.obj: LaserBoy_palette_set.cpp $(HEADERS)
	$(CPP) -c LaserBoy_palette_set.cpp -o ../src/LaserBoy_palette_set.obj $(CPPFLAGS)

../src/LaserBoy_palette.obj: LaserBoy_palette.cpp $(HEADERS)
	$(CPP) -c LaserBoy_palette.cpp -o ../src/LaserBoy_palette.obj $(CPPFLAGS)

../src/LaserBoy_frame_set.obj: LaserBoy_frame_set.cpp $(HEADERS)
	$(CPP) -c LaserBoy_frame_set.cpp -o ../src/LaserBoy_frame_set.obj $(CPPFLAGS)

../src/LaserBoy_frame.obj: LaserBoy_frame.cpp $(HEADERS)
	$(CPP) -c LaserBoy_frame.cpp -o ../src/LaserBoy_frame.obj $(CPPFLAGS)

../src/LaserBoy_ild_header.obj: LaserBoy_ild_header.cpp LaserBoy_ild_header.hpp LaserBoy_common.hpp LaserBoy_macros.hpp LaserBoy_includes.hpp
	$(CPP) -c LaserBoy_ild_header.cpp -o ../src/LaserBoy_ild_header.obj $(CPPFLAGS)

../src/LaserBoy_bmp.obj: LaserBoy_bmp.cpp LaserBoy_bmp.hpp LaserBoy_font.hpp LaserBoy_color.hpp LaserBoy_common.hpp LaserBoy_macros.hpp LaserBoy_includes.hpp
	$(CPP) -c LaserBoy_bmp.cpp -o ../src/LaserBoy_bmp.obj $(CPPFLAGS)

../src/LaserBoy_font.obj: LaserBoy_font.cpp LaserBoy_font.hpp
	$(CPP) -c LaserBoy_font.cpp -o ../src/LaserBoy_font.obj $(CPPFLAGS)

../src/LaserBoy_segment.obj: LaserBoy_segment.cpp $(HEADERS)
	$(CPP) -c LaserBoy_segment.cpp -o ../src/LaserBoy_segment.obj $(CPPFLAGS)

../src/LaserBoy_real_segment.obj: LaserBoy_real_segment.cpp $(HEADERS)
	$(CPP) -c LaserBoy_real_segment.cpp -o ../src/LaserBoy_real_segment.obj $(CPPFLAGS)

../src/LaserBoy_wave.obj: LaserBoy_wave.cpp LaserBoy_wave.hpp LaserBoy_common.hpp LaserBoy_macros.hpp LaserBoy_includes.hpp
	$(CPP) -c LaserBoy_wave.cpp -o ../src/LaserBoy_wave.obj $(CPPFLAGS)

../src/LaserBoy_common.obj: LaserBoy_common.cpp LaserBoy_common.hpp LaserBoy_macros.hpp LaserBoy_includes.hpp
	$(CPP) -c LaserBoy_common.cpp -o ../src/LaserBoy_common.obj $(CPPFLAGS)

=== debian/changelog ===
laserboy (2012.11.11-1build4) wily; urgency=medium

  * No-change rebuild using boost 1.58.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 28 Aug 2015 12:54:00 +0000

laserboy (2012.11.11-1build3) utopic; urgency=high

  * No change rebuild against boost1.55.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 28 Apr 2014 05:32:16 +0100

laserboy (2012.11.11-1build2) trusty; urgency=low

  * No change rebuild for Boost 1.54 transition.

 -- Dmitrijs Ledkovs <xnox@ubuntu.com>  Tue, 22 Oct 2013 10:42:12 +0100

laserboy (2012.11.11-1build1) saucy; urgency=low

  * No change rebuild for Boost 1.53 transition.

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Fri, 26 Apr 2013 19:18:42 +0100

laserboy (2012.11.11-1) unstable; urgency=low

  * Initial packaging for Debian (Closes: #693965)

 -- Richard Ulrich <richi@paraeasy.ch>  Mon, 19 Nov 2012 23:01:27 +0100

=== debian/control ===
Source: laserboy
Section: graphics
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Richard Ulrich <richi@paraeasy.ch>
Build-Depends: debhelper (>= 9.0.0), libboost-dev (>= 1.49), libboost-filesystem-dev, libboost-system-dev, libsdl-dev, cmake, unzip
Standards-Version: 3.9.3
Homepage: http://laserboy.org/

Package: laserboy-indep
Architecture: all
Depends: ${misc:Depends}
Description: Laser show software for soundcard operation - data files
 LaserBoy can translate laser vector art into standard, 48KHz, 16 bit,
 multi channel RIFF WAVE file format and play those files with
 independent sample shifts between the channels for proper time alignment
 between the scanners and the color modulation devices (per color).
 Waves made with LaserBoy can be played from any surround sound card in
 any OS.
 LaserBoy can open its own generated wave files and convert them back
 into vector art.
 LaserBoy provides a full set of points optimization routines including
 distance spanning, corner dwelling and the ability to minimize total points
 distance by rearranging the order and direction of lit segments within
 a frame.
 With a DC modified 8 channel sound card and some outboard electronics,
 LaserBoy is currently outputting full motion, 16bit X, Y position, 24 bit
 RGB color projections at 48 thousand points per second. Creating waves of
 any integer sample rate is possible. 48KHz is only a limitation of the sound
 cards that are currently in use.
 .
 This package contains architecture independent data files for laserboy.

Package: laserboy
Architecture: any
Depends: laserboy-indep, ${shlibs:Depends}, ${misc:Depends}
Description: Laser show software for soundcard operation
 LaserBoy can translate laser vector art into standard, 48KHz, 16 bit,
 multi channel RIFF WAVE file format and play those files with
 independent sample shifts between the channels for proper time alignment
 between the scanners and the color modulation devices (per color).
 Waves made with LaserBoy can be played from any surround sound card in
 any OS.
 LaserBoy can open its own generated wave files and convert them back
 into vector art.
 LaserBoy provides a full set of points optimization routines including
 distance spanning, corner dwelling and the ability to minimize total points
 distance by rearranging the order and direction of lit segments within
 a frame.
 With a DC modified 8 channel sound card and some outboard electronics,
 LaserBoy is currently outputting full motion, 16bit X, Y position, 24 bit
 RGB color projections at 48 thousand points per second. Creating waves of
 any integer sample rate is possible. 48KHz is only a limitation of the sound
 cards that are currently in use.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# Grab the version from the changelog, up to the first -
DEB_DEBIAN_DIR=$(dir $(firstword $(MAKEFILE_LIST)))
DEB_UPSTREAM_VERSION=$(shell dpkg-parsechangelog -l$(DEB_DEBIAN_DIR)/changelog \
                               | sed -rne 's,^Version: ([^-]+).*,\1,p')
DEB_UPSTREAM_VERSFMT=$(shell echo ${DEB_UPSTREAM_VERSION} | sed -e "s/\./_/g")
 
%:
	dh $@ --buildsystem cmake --builddirectory=build

override_dh_auto_configure :
	dh_auto_configure -- -DCMAKE_INSTALL_PREFIX=/usr -DBUILDING_DEB:BOOL=TRUE

# as seen in https://wiki.ubuntu.com/PackagingGuide/Examples/ChangingTheOrigTarball
get-orig-source :
	uscan --noconf --force-download --rename --download-current-version --destdir=. $(DEB_DEBIAN_DIR)/..
	rm -rf laserboy-$(DEB_UPSTREAM_VERSION)
	unzip $(DEB_DEBIAN_DIR)../LaserBoy_$(DEB_UPSTREAM_VERSFMT).zip
	rm $(DEB_DEBIAN_DIR)../LaserBoy_$(DEB_UPSTREAM_VERSFMT).zip
	mv LaserBoy laserboy-$(DEB_UPSTREAM_VERSION)
	rm laserboy-$(DEB_UPSTREAM_VERSION)/*.exe
	rm laserboy-$(DEB_UPSTREAM_VERSION)/*.dll
	rm laserboy-$(DEB_UPSTREAM_VERSION)/*.bat
	mv laserboy-$(DEB_UPSTREAM_VERSION) laserboy-$(DEB_UPSTREAM_VERSION).orig
	GZIP=--best tar -cz --owner root --group root --mode a+rX \
                        -f laserboy_$(DEB_UPSTREAM_VERSION).orig.tar.gz \
                        laserboy-$(DEB_UPSTREAM_VERSION).orig
	rm -r laserboy-$(DEB_UPSTREAM_VERSION).orig

## laserboy 2016.03.15

=== src/Makefile ===
--- 
+++ 
@@ -4,9 +4,16 @@
 RM       = rm -f
 STRIP    = strip -s -v
 CPP      = g++
-CPPFLAGS = -O3 -fexpensive-optimizations -static
+CPPFLAGS = -O3 -fexpensive-optimizations -Wall -static
 OBJ      = ../src/LaserBoy.obj ../src/LaserBoy_common.obj ../src/LaserBoy_frame.obj ../src/LaserBoy_frame_effects.obj ../src/LaserBoy_frame_set.obj ../src/LaserBoy_frame_set_effects.obj ../src/LaserBoy_ild_header.obj ../src/LaserBoy_segment.obj ../src/LaserBoy_palette.obj ../src/LaserBoy_palette_set.obj ../src/LaserBoy_real_segment.obj ../src/LaserBoy_wave.obj ../src/LaserBoy_space.obj ../src/LaserBoy_TUI.obj ../src/LaserBoy_SDL_GUI.obj ../src/LaserBoy_bmp.obj ../src/LaserBoy_font.obj
-LIBS     = -lSDL -lboost_system -lboost_filesystem
+
+#LIBS     = -lSDL -lboost_system -lboost_filesystem
+
+# if linking produces an error
+# "undefined reference to symbol pthread_getspecific" ...
+# use the following LIBS values:
+LIBS     = -lSDL -lboost_system -lboost_filesystem -lpthread
+
 BIN      = ../LaserBoy
 HEADERS  = LaserBoy_3D_double.hpp LaserBoy_3D_short.hpp LaserBoy_bmp.hpp LaserBoy_color.hpp LaserBoy_common.hpp LaserBoy_font.hpp LaserBoy_frame.hpp LaserBoy_frame_set.hpp LaserBoy_GUI_base.hpp LaserBoy_ild_header.hpp LaserBoy_includes.hpp LaserBoy_macros.hpp LaserBoy_palette.hpp LaserBoy_palette_set.hpp LaserBoy_real_segment.hpp LaserBoy_real_vertex.hpp LaserBoy_SDL_GUI.hpp LaserBoy_segment.hpp LaserBoy_space.hpp LaserBoy_TUI.hpp LaserBoy_utility.hpp LaserBoy_vertex.hpp LaserBoy_wave.hpp

=== debian/changelog ===
laserboy (2016.03.15-1.3) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/watch: Fix upstream monitoring script.
  * debian/patches/0005-Fix-boost1.83-build.patch: Fix boost1.83
    build by explicitly using std::{i|o}fstream. (Closes: #1056076)

 -- Boyuan Yang <byang@debian.org>  Sat, 30 Dec 2023 13:49:49 -0500

laserboy (2016.03.15-1.2) unstable; urgency=medium

  * Non maintainer upload by the Reproducible Builds team.
  * No source change upload to rebuild on buildd with .buildinfo files.

 -- Holger Levsen <holger@debian.org>  Mon, 13 Jun 2022 16:10:25 +0200

laserboy (2016.03.15-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix FTBFS with Boost 1.60. (Closes: #825102)
  * Fix FTBFS with GCC 6. (Closes: #812272)

 -- Graham Inggs <ginggs@debian.org>  Sat, 06 Aug 2016 15:21:08 +0200

laserboy (2016.03.15-1) unstable; urgency=medium

  * New upstream release:
    - no upstream changelog found.

 -- Richard Ulrich <richi@paraeasy.ch>  Wed, 18 May 2016 21:36:52 +0200

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ --buildsystem cmake --builddirectory=build

override_dh_auto_configure :
	dh_auto_configure -- -DCMAKE_INSTALL_PREFIX=/usr -DBUILDING_DEB:BOOL=TRUE

=== debian/watch ===
version=4
opts="uversionmangle=s/_/\./g" \
 http://laserboy.org/code/ \
 http://laserboy.org/code/LaserBoy_([\d_]*).zip

## laserboy 2024.03.08+dfsg

=== src/Makefile ===
# project LaserBoy
# James Lehman
# laserboy.org

RM       = rm -f
STRIP    = strip -s -v
CPP      = g++
LIBS     = -L/usr/local/lib -lSDL2 -lboost_filesystem -lboost_system -lpthread

CPPFLAGS = -D__WITH_SDL2__ \
           -std=c++17 \
           -O3 \
           -msse2 \
           -mfpmath=sse \
           -Wall \
           -Wextra \
           -frounding-math \
           -fsignaling-nans \
           -Wno-unused-parameter \
           -Wno-implicit-fallthrough \
           -Wno-missing-field-initializers \
           -Wno-misleading-indentation \
           -Wno-unused-but-set-variable \
           -Wno-mismatched-new-delete \
           -fexpensive-optimizations \
           -static \
           $(INC) \
           $(LIB) \
           $(LIBS)

HEADERS   = LaserBoy_includes.hpp \
            LaserBoy_macros.hpp \
            LaserBoy_common.hpp \
            LaserBoy_utility.hpp \
            LaserBoy_oscillator.hpp \
            LaserBoy_font.hpp \
            LaserBoy_bmp.hpp \
            LaserBoy_3D_short.hpp \
            LaserBoy_color.hpp \
            LaserBoy_vertex.hpp \
            LaserBoy_segment.hpp \
            LaserBoy_3D_double.hpp \
            LaserBoy_real_vertex.hpp \
            LaserBoy_real_segment.hpp \
            LaserBoy_real_segment_set.hpp \
            LaserBoy_ild_header.hpp \
            LaserBoy_frame.hpp \
            LaserBoy_frame_set.hpp \
            LaserBoy_palette.hpp \
            LaserBoy_palette_set.hpp \
            LaserBoy_wav.hpp \
            LaserBoy_SDL_GUI.hpp \
            LaserBoy_space.hpp \
            LaserBoy_TUI.hpp

OBJ      = ../build/LaserBoy.obj \
           ../build/LaserBoy_common.obj \
           ../build/LaserBoy_oscillator.obj \
           ../build/LaserBoy_frame.obj \
           ../build/LaserBoy_effects_frame.obj \
           ../build/LaserBoy_effects_selected_frames.obj \
           ../build/LaserBoy_frame_set.obj \
           ../build/LaserBoy_effects_frame_set.obj \
           ../build/LaserBoy_ild_header.obj \
           ../build/LaserBoy_segment.obj \
           ../build/LaserBoy_palette.obj \
           ../build/LaserBoy_palette_set.obj \
           ../build/LaserBoy_real_segment.obj \
           ../build/LaserBoy_real_segment_set.obj \
           ../build/LaserBoy_wav.obj \
           ../build/LaserBoy_space.obj \
           ../build/LaserBoy_TUI.obj \
           ../build/LaserBoy_SDL_GUI.obj \
           ../build/LaserBoy_bmp.obj \
           ../build/LaserBoy_font.obj

BIN      = ../LaserBoy

#all: $(BIN) strip
all: $(BIN)

strip:
	$(STRIP) $(BIN)

clean:
	$(RM) $(OBJ) $(BIN)

$(BIN): $(OBJ)
	$(CPP) $(OBJ) -o $(BIN) $(LIB) $(LIBS)

../build/LaserBoy.obj: LaserBoy.cpp $(HEADERS)
	$(CPP) -c LaserBoy.cpp -o ../build/LaserBoy.obj $(CPPFLAGS)

../build/LaserBoy_SDL_GUI.obj: LaserBoy_SDL_GUI.cpp $(HEADERS)
	$(CPP) -c LaserBoy_SDL_GUI.cpp -o ../build/LaserBoy_SDL_GUI.obj $(CPPFLAGS)

../build/LaserBoy_TUI.obj: LaserBoy_TUI.cpp $(HEADERS)
	$(CPP) -c LaserBoy_TUI.cpp -o ../build/LaserBoy_TUI.obj $(CPPFLAGS)

../build/LaserBoy_space.obj: LaserBoy_space.cpp $(HEADERS)
	$(CPP) -c LaserBoy_space.cpp -o ../build/LaserBoy_space.obj $(CPPFLAGS)

../build/LaserBoy_effects_frame_set.obj: LaserBoy_effects_frame_set.cpp $(HEADERS)
	$(CPP) -c LaserBoy_effects_frame_set.cpp -o ../build/LaserBoy_effects_frame_set.obj $(CPPFLAGS)

../build/LaserBoy_effects_selected_frames.obj: LaserBoy_effects_selected_frames.cpp $(HEADERS)
	$(CPP) -c LaserBoy_effects_selected_frames.cpp -o ../build/LaserBoy_effects_selected_frames.obj $(CPPFLAGS)

../build/LaserBoy_effects_frame.obj: LaserBoy_effects_frame.cpp $(HEADERS)
	$(CPP) -c LaserBoy_effects_frame.cpp -o ../build/LaserBoy_effects_frame.obj $(CPPFLAGS)

../build/LaserBoy_palette_set.obj: LaserBoy_palette_set.cpp $(HEADERS)
	$(CPP) -c LaserBoy_palette_set.cpp -o ../build/LaserBoy_palette_set.obj $(CPPFLAGS)

../build/LaserBoy_palette.obj: LaserBoy_palette.cpp $(HEADERS)
	$(CPP) -c LaserBoy_palette.cpp -o ../build/LaserBoy_palette.obj $(CPPFLAGS)

../build/LaserBoy_frame_set.obj: LaserBoy_frame_set.cpp $(HEADERS)
	$(CPP) -c LaserBoy_frame_set.cpp -o ../build/LaserBoy_frame_set.obj $(CPPFLAGS)

../build/LaserBoy_frame.obj: LaserBoy_frame.cpp $(HEADERS)
	$(CPP) -c LaserBoy_frame.cpp -o ../build/LaserBoy_frame.obj $(CPPFLAGS)

../build/LaserBoy_ild_header.obj: LaserBoy_ild_header.cpp LaserBoy_ild_header.hpp LaserBoy_common.hpp LaserBoy_macros.hpp LaserBoy_includes.hpp
	$(CPP) -c LaserBoy_ild_header.cpp -o ../build/LaserBoy_ild_header.obj $(CPPFLAGS)

../build/LaserBoy_bmp.obj: LaserBoy_bmp.cpp LaserBoy_bmp.hpp LaserBoy_font.hpp LaserBoy_color.hpp LaserBoy_common.hpp LaserBoy_macros.hpp LaserBoy_includes.hpp
	$(CPP) -c LaserBoy_bmp.cpp -o ../build/LaserBoy_bmp.obj $(CPPFLAGS)

../build/LaserBoy_font.obj: LaserBoy_font.cpp LaserBoy_font.hpp
	$(CPP) -c LaserBoy_font.cpp -o ../build/LaserBoy_font.obj $(CPPFLAGS)

../build/LaserBoy_segment.obj: LaserBoy_segment.cpp $(HEADERS)
	$(CPP) -c LaserBoy_segment.cpp -o ../build/LaserBoy_segment.obj $(CPPFLAGS)

../build/LaserBoy_real_segment.obj: LaserBoy_real_segment.cpp $(HEADERS)
	$(CPP) -c LaserBoy_real_segment.cpp -o ../build/LaserBoy_real_segment.obj $(CPPFLAGS)

../build/LaserBoy_real_segment_set.obj: LaserBoy_real_segment_set.cpp $(HEADERS)
	$(CPP) -c LaserBoy_real_segment_set.cpp -o ../build/LaserBoy_real_segment_set.obj $(CPPFLAGS)

../build/LaserBoy_wav.obj: LaserBoy_wav.cpp LaserBoy_wav.hpp LaserBoy_common.hpp LaserBoy_macros.hpp LaserBoy_includes.hpp
	$(CPP) -c LaserBoy_wav.cpp -o ../build/LaserBoy_wav.obj $(CPPFLAGS)

../build/LaserBoy_oscillator.obj: LaserBoy_oscillator.cpp LaserBoy_oscillator.hpp LaserBoy_common.hpp LaserBoy_includes.hpp
	$(CPP) -c LaserBoy_oscillator.cpp -o ../build/LaserBoy_oscillator.obj $(CPPFLAGS)

../build/LaserBoy_common.obj: LaserBoy_common.cpp LaserBoy_common.hpp LaserBoy_macros.hpp LaserBoy_includes.hpp
	$(CPP) -c LaserBoy_common.cpp -o ../build/LaserBoy_common.obj $(CPPFLAGS)

=== debian/changelog ===
laserboy (2024.03.08+dfsg-4) unstable; urgency=medium

  * Add no-libboost-system.patch, removing linking to libboost-system
    (Closes: #1127218)
  * Update to standards version 4.7.3:
    - Remove redundant Priority field.
  * Update d/watch to version 5

 -- Nicolas Schodet <nico@ni.fr.eu.org>  Fri, 06 Feb 2026 18:15:56 +0100

laserboy (2024.03.08+dfsg-3) unstable; urgency=medium

  * Add fix-boost-1.88-ftbfs.patch, fixing FTBFS with Boost 1.88.
    Thanks to Mateus Rodrigues de Morais for the patch (Closes: #1110627)

 -- Nicolas Schodet <nico@ni.fr.eu.org>  Mon, 27 Oct 2025 17:39:12 +0100

laserboy (2024.03.08+dfsg-2) unstable; urgency=medium

  * Add remove-amd64-specific.patch to remove amd64 build options

 -- Nicolas Schodet <nico@ni.fr.eu.org>  Fri, 15 Aug 2025 18:22:21 +0200

laserboy (2024.03.08+dfsg-1) unstable; urgency=medium

  [ Andreas Tille ]
  * New upstream version
  * Maintain package in Debian Multimedia team
    Closes: #1110469
  * d/rules is no sample
  * Standards-Version: 4.7.2 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Secure URI in copyright format (routine-update)
  * Update lintian override info format in d/laserboy-indep.lintian-overrides
  * Trim trailing whitespace.
  * Strip unusual field spacing from debian/control.
  * Use secure URI in Homepage field.
  * Update renamed lintian tag names in lintian overrides.
  * Fix typo in debian/rules rules: override_dh_auto_configure
    ⇒ override_dh_auto_configure
  * Upstream supports sdl2
    Closes: #1038471
  * d/rules: enable hardening options
  * Install desktop file instead of menu file
  * Permit failure of blhc in Salsa CI
  * Fix DEP3 fields

  [ Nicolas Schodet ]
  * Add myself as an uploader
  * Make hardening work
  * Use secure URI in various places
  * Add git-buildpackage configuration (pristine-tar)
  * Update copyright year in debian/copyright
  * Fix desktop file
  * Remove patches changing data directories.
    LaserBoy needs a full writable tree of directories to work. Remove the
    patches which change the data directories paths, package all data files
    and add a README.Debian to explain how to use it.
  * Improve manual page
  * Install user documentation

 -- Nicolas Schodet <nico@ni.fr.eu.org>  Sun, 10 Aug 2025 16:58:38 +0200

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,12 @@
 Source: laserboy
 Section: graphics
-Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Richard Ulrich <richi@paraeasy.ch>
-Build-Depends: debhelper (>= 9.0.0), libboost-dev (>= 1.49), libboost-filesystem-dev, libboost-system-dev, libsdl-dev, cmake, unzip
-Standards-Version: 3.9.3
-Homepage: http://laserboy.org/
+Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Uploaders: Richard Ulrich <richi@paraeasy.ch>, Nicolas Schodet <nico@ni.fr.eu.org>
+Build-Depends: debhelper-compat (= 13), libboost-dev, libboost-filesystem-dev, libsdl2-dev, unzip
+Standards-Version: 4.7.3
+Vcs-Browser: https://salsa.debian.org/multimedia-team/laserboy
+Vcs-Git: https://salsa.debian.org/multimedia-team/laserboy.git
+Homepage: https://laserboy.org/
 
 Package: laserboy-indep
 Architecture: all

=== debian/watch ===
Version: 5

Source: https://laserboy.org/code/
Matching-Pattern: LaserBoy_([\d_]*).zip
Uversion-Mangle: s/_/./g
Dversion-Mangle: auto
Repack-Suffix: +dfsg
